# $Revision: 1.8 $, $Date: 2008/07/29 17:43:42 $
Summary:	Library for importing and converting Corel WordPerfect(TM) Graphics images
Summary(pl.UTF-8):	Biblioteka do importowania i konwersji obrazów Corel WordPerfect Graphics
Name:		libwpg
Version:	0.1.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/libwpg/%{name}-%{version}.tar.bz2
# Source0-md5:	1069ad84fdf65f1c47b63b639137613f
URL:		http://libwpg.sourceforge.net/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libwpd-devel >= 0.8
BuildRequires:	pkgconfig
Requires:	libwpd >= 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libwpg project is a collection of library and tools to work with
graphics in WPG (WordPerfect Graphics) format. WPG is the format used
among others in Corel software, such as WordPerfect(TM) and
Presentations(TM).

%description -l pl.UTF-8
Projekt libwpg to zestaw biblioteki i narzędzi do pracy z obrazami w
formacie WPG (WordPerfect Graphics). WPG to format używany między
innymi w programach firmy Corel, takich jak WordPerfect(TM) i
Presentations(TM).

%package devel
Summary:	Header files for libwpg library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwpg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libwpd-devel >= 0.8

%description devel
Header files for libwpg library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwpg.

%package static
Summary:	Static libwpg library
Summary(pl):	Statyczna biblioteka libwpg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwpg library.

%description static -l pl.UTF-8
Statyczna biblioteka libwpg.

%package tools
Summary:	Tools to transform WordPerfect Graphics into other formats
Summary(pl.UTF-8):	Narzędzia do konwersji plików z formatu WordPerfect Graphics do innych
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Graphics (WPG) into other formats.

%description tools -l pl.UTF-8
Narzędzia do konwersji plików z formatu WordPerfect Graphics do innych
formatów.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libwpg-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpg-0.1.so.1
%attr(755,root,root) %{_libdir}/libwpg-stream-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpg-stream-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwpg-0.1.so
%attr(755,root,root) %{_libdir}/libwpg-stream-0.1.so
%{_libdir}/libwpg-0.1.la
%{_libdir}/libwpg-stream-0.1.la
%{_includedir}/libwpg-0.1
%{_pkgconfigdir}/libwpg-0.1.pc
%{_pkgconfigdir}/libwpg-stream-0.1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwpg-0.1.a
%{_libdir}/libwpg-stream-0.1.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wpg2raw
%attr(755,root,root) %{_bindir}/wpg2svg
%attr(755,root,root) %{_bindir}/wpg2svgbatch.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwpg.spec,v $
Revision 1.8  2008/07/29 17:43:42  qboosh
- updated to 0.1.3

Revision 1.7  2008/05/16 17:14:37  qboosh
- -devel R: libwpd-devel

Revision 1.6  2008-05-14 22:24:05  tommat
- BR: libwpd-devel

Revision 1.5  2008-01-28 22:25:51  qboosh
- more verbose files
- added AUTHORS and ChangeLog instead of empty README

Revision 1.4  2008-01-28 22:19:53  qboosh
- pl

Revision 1.3  2007-12-30 21:49:45  glen
- package ghost shared lib link
- drop bogus libpwd deps
- rel 1

Revision 1.2  2007-12-30 21:46:04  glen
- use sf url

Revision 1.1  2007-12-30 21:43:25  glen
- new, based on libwps.spec
